import React__default,{useState}from'react';import {useFela}from'react-fela';import {styleSheet}from'./style.js';import WidgetMinimized from'./WidgetMinimized/index.js';import WidgetMaximized from'./WidgetMaximized/index.js';var WidgetSize;
(function (WidgetSize) {
    WidgetSize["minimize"] = "minimize";
    WidgetSize["maximize"] = "maximize";
})(WidgetSize || (WidgetSize = {}));
const TimerWidget = (props) => {
    const { css } = useFela();
    const { onTrack, trackStarted, timeDuration } = props;
    const [size, setSize] = useState(WidgetSize.maximize);
    const minimize = () => {
        setSize(WidgetSize.minimize);
    };
    const maximize = () => {
        setSize(WidgetSize.maximize);
    };
    return (React__default.createElement("div", { className: css(styleSheet.TimerWidget) },
        React__default.createElement(WidgetMinimized, { trackStarted: trackStarted, onTrack: onTrack, onMaximize: maximize, hidden: !(size === WidgetSize.minimize), timeDuration: timeDuration }),
        React__default.createElement(WidgetMaximized, { trackStarted: trackStarted, onTrack: onTrack, onMinimize: minimize, hidden: !(size === WidgetSize.maximize), timeDuration: timeDuration })));
};export default TimerWidget;//# sourceMappingURL=index.js.map
